Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Interface EngineMetaInterface

All Known Implementing Classes:
  JobMeta, TransMeta

    public interface EngineMetaInterface

Method Summary
`void` | `clearChanged()`
`Date` | `getCreatedDate()`
`String` | `getCreatedUser()`
`String` | `getDefaultExtension()`
`RepositoryDirectory` | `getDirectory()`
`String` | `getFilename()`
`String` | `getFileType()`
`String[]` | `getFilterExtensions()`
`String[]` | `getFilterNames()`
`Date` | `getModifiedDate()`
`String` | `getModifiedUser()`
`String` | `getName()`
`String` | `getXML()`
`void` | `nameFromFilename()`
`void` | `saveRep(Repository rep, org.pentaho.di.core.ProgressMonitorListener monitor)`
`boolean` | `saveSharedObjects()`
`void` | `setCreatedDate(Date date)`
`void` | `setCreatedUser(String createduser)`
`void` | `setFilename(String filename)`
`void` | `setID(long id)`
`void` | `setInternalKettleVariables()`
`void` | `setModifiedDate(Date date)`
`void` | `setModifiedUser(String user)`
`boolean` | `showReplaceWarning(Repository rep)`

Method Detail

### setFilename

    void setFilename(String filename)

### getName

    String getName()

### nameFromFilename

    void nameFromFilename()

### clearChanged

    void clearChanged()

### getXML

    String getXML()
                  throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFileType

    String getFileType()

### getFilterNames

    String[] getFilterNames()

### getFilterExtensions

    String[] getFilterExtensions()

### getDefaultExtension

    String getDefaultExtension()

### setID

    void setID(long id)

### getCreatedDate

    Date getCreatedDate()

### setCreatedDate

    void setCreatedDate(Date date)

### getCreatedUser

    String getCreatedUser()

### setCreatedUser

    void setCreatedUser(String createduser)

### getModifiedDate

    Date getModifiedDate()

### setModifiedDate

    void setModifiedDate(Date date)

### setModifiedUser

    void setModifiedUser(String user)

### getModifiedUser

    String getModifiedUser()

### getDirectory

    RepositoryDirectory getDirectory()

### showReplaceWarning

    boolean showReplaceWarning(Repository rep)

### saveRep

    void saveRep(Repository rep,
                 org.pentaho.di.core.ProgressMonitorListener monitor)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFilename

    String getFilename()

### saveSharedObjects

    boolean saveSharedObjects()

### setInternalKettleVariables

    void setInternalKettleVariables()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD